<?php

use App\Models\ReportQuarter;
use App\Models\ActivitVieScolaire;
use Livewire\Component;

return new class extends Component
{
    public $data = [];
    public $school;
    public $cutting;

    public function mount() {
        $report = ReportQuarter::where('school_id', $this->school)->where('cutting_school_year_id', $this->cutting)->first();
        $dts = $report ? ActivitVieScolaire::where('report_quarter_id', $report->id)->orderBy('order')->get():[];
        $this->data = $dts;
    }

    protected function view($data = [])
    {
        return app('view')->file('C:\Users\EDUCAS\Desktop\App\V4_001\storage\framework/views/livewire/views/4b0bf5c7.blade.php', $data);
    }
};
